### Name: RpadHTML
### Title: Rpad utilities
### Aliases: ROutputFormat HTMLon HTMLoff H HtmlTree HtmlTree.default Html
###   HfromHTML HTMLh1 HTMLh2 HTMLh3 HTMLh4 HTMLh5 HTMLargs HTMLtag
###   HTMLetag HTMLradio HTMLcheckbox HTMLselect HTMLinput HTMLlink HTMLimg
###   HTMLembed BR print.condition
### Keywords: math

### ** Examples

  a <- data.frame(x = 1:10, y = (1:10)^3)

  # generate some GUI elements
  # - normally done in an Rpad input section with rpadRun="init"
  HTMLon() # switch to html mode
  data(state)
  HTMLselect("favoriteAmericanState", state.name) # generate the select box

  H("div", "Hello world") # a simple div: "<div>Hello world</div>"
  H("div", class="helloStyle", "Hello world") # a div with a class
    # --> "<div class='helloStyle'>Hello world</div>"

  # you can nest them:
  H("div", class = "myClass", dojoType = "tree",
    "This is some text in the div ",  
    H("em", "emphasized"), "plus some more",
    "and more",
    H("div", class = "anotherClass",
      "text in the div",
      c(1,5,8)))

  HTMLoff() # switch to text mode
  summary(a)

  # fancy HTML output with R2HTML
  if (require(R2HTML)) {
    HTMLon()
    .HTML.file = "" # not needed in normal use
                    # kludge to pass R CMD check
    HTML(summary(a))
    HTMLoff()
  }




